---
title: "The beach - Part 1"
date: 2020-11-01T18:52:55.701Z
draft: false
categories:
- Story
- Vanilla
tags:
- beach
- roommate
- summer
---

> DISCLAIMER: This is the first time I am writing a story like this and English isn't my native language, so expect errors and grammatical issues.

"Phil? ... Phil!". It was Saturday morning, and as usual, I was woke up by my roommate and best friend Ike running up the stairs of my apartment. "I'm here", I tried to yell back to him, but my mouth was still asleep and I doubt he could understand me.

I looked at the clock next to my king-sized bed, it showed the time as 9:36 in the morning... I didn't believe it. Personally, I felt like I have slept less than 5 minutes.

There was little point in wanting to go back to sleep as, just a couple seconds later, Ike came rushing into my room. He looked very very cute today. I should probably mention that I have a huuuuuge crush on him, I never told him that of course. He wore some shorts made out of light blue jeans fabric. The only other piece of clothing he was wearing, as a pink crop-top, that barely reached down to his belly. He looked amazing and... very yummy :P

"Morning sleepy", he nearly whispered. My eyes still trying to focus on how amazing he looked. Ike continued by grabbing the blanket that I was still cuddling tightly, and ripping it out of my hands. He knew exactly, that this is the only way he can bring me out of bed on the weekend before lunchtime. Of course I couldn't hold on enough to it and the next thing I knew was, that I saw him running to the living room with my blanket.

I tried to fall asleep again, but soon noticed, that that was an impossibility without my fluffy blanket and decided to try to get up. After nearly falling off the bed, I managed to get myself up enough in order to go grab some morning tea in the kitchen. I myself was only wearing my underwear, as that is already more than I want to sleep with. Before Ike moved in with me, I used to sleep completely nude, but now I stopped doing that for obvious reasons.

I exited my room, only to find a cup of my favourite tea sitting on the dinner table with a note underneath it.

> "Good morning Phil, congratulations on getting up.
> 
> Enjoy your tea, I will see you at the beach at 11:00.
> Don't be late
> 
> Ike xx"

I was blushing again, as I took a sip from the - now almost cold - tea. I decided it would be best, to go take a shower quickly.

Our bathroom wasn't anything special. The floor was made out of bright sandstone tiles, and the walls out of other, even more boring dark wood-like tiles. The shower was quite big though, and actually really good. I started to strip, which was completed very quickly because I only wore one piece of clothing. Turning on the water in the shower felt amazing as always. I don't know what it is about showers, but they make me feel so relaxed, and make me forget all the problems in my life.


---


As I started to clean myself, my thoughts shifted towards Ike. I started to picture him, as he looked this morning. Then I started to strip him in my head. First removing the short pink crop-top he wore, revealing his clean chest with an impressive six-pack. My hand was moving automatically moving towards my dick, slowly starting to stroke it.

As my mind continued to strip my roommate, my stroking increased in speed. I slowly removed his light blue shorts, he never wears any underwear, so I started to picture his dick. I saw it once - right after moving in - as he took a shower and I accidentally walked into the bathroom also wanting to take a shower and only wearing a thin tower, which was more than thin enough to make my quickly becoming dick visible through it. Seconds after that, I unloaded a giant load of cum on the glass wall of the shower.

A bit embarrassed about that incident, I quickly finished the shower, cleaned up and started to put on some sunscreen, making sure to not miss a spot. I decided to get dressed and only wear my swim shorts and a light blue shirt, The weather was quite hot and bright.  I looked at the crop-top I bought last week and thought about wearing that instead.. Quickly decided not to though, because I wasn't nearly as comfortable with wearing it as Ike was.

A quick check on the clock revealed that it was 10:40, I must have spent a lot more time showering, than I thought I did. The beach is around 20 minutes away by foot, so I will just have to jog there and hope that I arrive on time. After all, Ike promised to introduce me to some of his friends there and I don't want to make that bad of an impression. He already showed me some of the pictures of these guys, or rather I saw them while he scrolled through the gallery on his phone, and I have to say that some of them look very very hot.

To be continued...